[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.DoDrawImage

Calls DoDraw for the specified image and coordinates.

## Declaration

Source position: lazcanvas.pas line 136

`public procedure TLazCanvas.DoDrawImage(`
`x: Integer;`
`y: Integer;`
`const AImage: TFPCustomImage`
`);`

## Arguments

`x` |  | Left coordinate where the specified image is drawn on the Lazarus canvas.
`y` |  | Top coordinate where the specified image is drawn on the Lazarus canvas.
`AImage` |  | TFPCustomImage instance with the content rendered to the canvas.

## See also

TLazCanvas.DoDraw |  | Performs actions needed to draws the specified image at the given coordinates using AlphaBlending.